<?php

namespace App\Repository;

use App\Entity\ReleaseMetadata;
use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;

/**
 * @extends ServiceEntityRepository<ReleaseMetadata>
 *
 * @method ReleaseMetadata|null find($id, $lockMode = null, $lockVersion = null)
 * @method ReleaseMetadata|null findOneBy(array $criteria, array $orderBy = null)
 * @method ReleaseMetadata[]    findAll()
 * @method ReleaseMetadata[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ReleaseMetadataRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ReleaseMetadata::class);
    }
}
